# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cherrytemplate
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-module-cherrytemplate
Version:        1.0.0
Release:        alt1_15
Summary:        An easy and powerful templating module for Python
Group:          Development/Python
License:        BSD
URL:            http://cherrytemplate.python-hosting.com/
Source0:        http://dl.sf.net/cherrypy/CherryTemplate-1.0.0.tar.gz
Patch0:         python-cherrytemplate-missing-test-files.patch 

BuildArch:      noarch

BuildRequires:  python-devel
Source44: import.info

%description
CherryTemplate is an easy and powerful templating module for Python. 

%prep
%setup -q -n CherryTemplate-%{version}
%patch0


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
cp -R cherrytemplate/unittest .
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=%{_prefix}

%check
cd unittest
PYTHONPATH=.. %{__python} unittest.py

%files
%doc ChangeLog.txt README.txt
%dir %{python_sitelibdir_noarch}/cherrytemplate
%dir %{python_sitelibdir_noarch}/cherrytemplate/unittest
%{python_sitelibdir_noarch}/cherrytemplate/*.py
%{python_sitelibdir_noarch}/cherrytemplate/*.py[co]
%{python_sitelibdir_noarch}/cherrytemplate/unittest/*.py
%{python_sitelibdir_noarch}/cherrytemplate/unittest/*.py[co]
%{python_sitelibdir_noarch}/CherryTemplate-%{version}-py%{pyver}.egg-info/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_15
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_14
- initial fc import

